<div class="table">
  <div class="form-control">
    <a mat-raised-button color="primary" routerLink="/admin/products/new">
      New Product
    </a>
    <mat-form-field class="search-control">
      <mat-label>Filter</mat-label>
      <input
        matInput
        #query
        type="text"
        (keyup)="filter(query.value)"
        placeholder="search..."
      />
    </mat-form-field>
  </div>
  <table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">
    <!--- Note that these columns can be defined in any order.
            The actual rendered columns are set as a property on the row definition" -->

    <!-- Title Column -->
    <ng-container matColumnDef="title">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Title</th>
      <td mat-cell *matCellDef="let product">{{ product.title }}</td>
    </ng-container>

    <!-- Price Column -->
    <ng-container matColumnDef="price">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Price</th>
      <td mat-cell *matCellDef="let product">{{ product.price }}</td>
    </ng-container>

    <!-- Edit Column -->
    <ng-container matColumnDef="edit">
      <th mat-header-cell *matHeaderCellDef></th>
      <td mat-cell *matCellDef="let product">
        <a [routerLink]="['/admin/products/', product.key]">Edit</a>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
  <mat-paginator
    [pageSizeOptions]="[5, 10, 20]"
    showFirstLastButtons
  ></mat-paginator>
</div>
